public class Euclide.Templates.Granite : Scratch.Template {
    Gtk.Entry project_name;
    Gtk.FileChooserButton file_chooser_button;

    public override Gtk.Widget get_creation_box () {
        var grid = new Gtk.Grid ();
        project_name = new Gtk.Entry ();
        project_name.placeholder_text = "Project Name";
        project_name.hexpand = true;
        var title = new Gtk.Label ("Granite Application");
        title.hexpand = true;
        title.set_markup ("<b>Granite Application</b>");
        grid.attach (title, 0, 0, 2, 1);
        grid.attach (project_name, 0, 1, 2, 1);
        var destination = new Gtk.Label ("/home/user/");
        destination.sensitive = false;
        file_chooser_button = new Gtk.FileChooserButton ("Create a project", Gtk.FileChooserAction.SELECT_FOLDER);
        grid.attach (destination, 0, 2, 1, 1);
        grid.attach (file_chooser_button, 1, 2, 1, 1);

        var create_button = new Gtk.Button.with_label ("Create!");
        grid.attach (create_button, 1, 3, 1, 1);
        create_button.clicked.connect (on_create_clicked);
        return grid;
    }

    void on_create_clicked () {
        var variables = new Gee.HashMap<string, string> ();
        var low = project_name.text.down ().replace(" ", "-");
        variables["LOWER_CASE_NAME"] = low;
        variables["LOWER_CASE_NAME2"] = low;
        variables["NAME"] = project_name.text;
        variables["DESCRIPTION"] = project_name.text;
        variables["AUTHORS"] = "elementary Developers";
        variables["CATEGORIES"] = "development";
        configure_template (Build.RESSOURCES_DIR + "/templates/granite/", file_chooser_button.get_filename () + "/" + low + "/", variables);
    }
}
