#include <libpeas/peas.h>
#include <gtk/gtk.h>
#include "euclidecore.h"
#include <girepository.h>
#include <gitypes.h>

PeasExtensionSet* create_set(GtkWidget* widget)
{
    return peas_extension_set_new (peas_engine_get_default (),
                                            EUCLIDE_TYPE_PLUGIN,
                                            NULL);
}

void extension_set_call(PeasExtensionSet* set, const gchar* text)
{
    peas_extension_set_call(set, text);
}

void extension_set_call_arg(PeasExtensionSet* set, const gchar* text, void* doc)
{
    peas_extension_set_call(set, text, doc, NULL);
}

void load_euclide_plugin(void)
{
    GITypelib* typelib = g_irepository_require(NULL, "Euclide", "1.0", 0, NULL);
}
