$$HEADER

using Granite.Services;

namespace $$NAME {
    
    public class $$NAMEApp : Granite.Application {
        
        private MainWindow window = null;
        
        construct {
            program_name = "$$NAME";
            exec_name = "$$NAME";
            
            build_data_dir = Constants.DATADIR;
            build_pkg_data_dir = Constants.PKGDATADIR;
            build_release_name = Constants.RELEASE_NAME;
            build_version = Constants.VERSION;
            build_version_info = Constants.VERSION_INFO;
            
            app_years = "$$YEAR";
            app_icon = "$$LOWER_CASE_NAME";
            app_launcher = "$$LOWER_CASE_NAME.desktop";
            application_id = "net.launchpad.$$LOWER_CASE_NAME";
            
            main_url = "https://code.launchpad.net/$$LOWER_CASE_NAME";
            bug_url = "https://bugs.launchpad.net/$$LOWER_CASE_NAME";
            help_url = "https://code.launchpad.net/$$LOWER_CASE_NAME";
            translate_url = "https://translations.launchpad.net/$$LOWER_CASE_NAME";
            
            about_authors = { "$$AUTHOR_NAME <$$AUTHOR_EMAIL>" };
            about_documenters = { "$$AUTHOR_NAME <$$AUTHOR_EMAIL>" };
            about_artists = { "$$AUTHOR_NAME <$$AUTHOR_EMAIL>" };
            about_comments = "$$DESCRIPTION";
            about_translators = "";
            // Set the about_license_type property to set your license
        }
        
        public $$NAMEApp () {
            Logger.initialize ("$$NAME");
            Logger.DisplayLevel = LogLevel.DEBUG;   
        }
        
        //the application started
        public override void activate () {
            if (get_windows () == null) {
                window = new MainWindow (this);
                window.show_all ();
            } else {
                window.present ();
            }
        }
        
        //the application was requested to open some files
        public override void open (File [] files, string hint) {
            
        }
        
        public static void main (string [] args) {
            var app = new $$NAME.$$NAMEApp ();
            
            app.run (args);
        }
    }
}
